Jump to content
Sign in to follow this  
Solus

SLX Mod WIP

Recommended Posts

I have the same problem as HUNK.

I just downloaded CBA V 0.5 (latest?) but there are these error messages still:e.g.: SLX_Cartridges requires addon CA_weapons_E

I cannot reload a saved game. because it says some CA_XX are missing. I also get the error message, that this CBA version requires Arma2 1.5

Some suggestions for my part:

-When a soldier is dragged to cover, the teammates should give supressing fire to the direction of the enemy.

-I had some battles against some T90. Sometimes when they got hit, the crew abandoned the tank apart from the commander. The tank was showing the destroyed-texture but the commander just turned out and used his MG. With the next hit, he deployed smoke and jumped out.... Sometimes when a T90 gets hit, the whole tank has the destroyed texture, but the cannon is completely functional. So the tank could fire at least 1 additional shot.

-GL3 is very good now.

I would like to know, if there is a range limit for a unit to call in other units? In a battle I had a tank squad further away from the front patrolling there with a repeat waypoint -> for GL3. But the squad wasn'T called by the enemy units until I attacked a squad which was near the patrolling tanks.

Edited by -=Firewall=-

Share this post


Link to post
Share on other sites

i managed to solve my errors =)

Firewall if u have arma 2 then copy all of the default addons from arma to the OA addons folder without overwriting anything , and saving now works with no more missing CBA errors!

Share this post


Link to post
Share on other sites
Thanks HUNK, but I have only Arma2, not OA.

Using this with ARMA2 only does seem to break the saves. I can't even revert back if I get killed.

Share this post


Link to post
Share on other sites

Just got OA and played most of the vanilla Sp missions. One thing I really noticed after adding SLX was that the medics really show up now.

While playing SP mission 1 Hike in da Hills, I ran ahead as usual, got shot, and crawled into one of those industrial pipes bleeding, cussin, and beggin for help. An enemy rpg opfor came over, and just hovered right next to me as my AI squaddies tried to get to me. The Humvee came from 1 direction and infantry another, and unfortuantely for the opfor RPG soldier guarding me, he couldn't decide which weapon to use as the humvee pulled right into our LOS. Opfor actually bolted to get indoors (yay!) but not faster than the Humvee gunner could pull the switch. Once he was dead, not only did a medic heal me, but another guy came over and healed me even more :p

Well done! Now is there anyway to get AT guys a little more fortitude to use their god-given weapon a chance?

*Note to Bi* This guy has been making incredible AI enhancements since old-school OFP; please hire him!

Edited by froggyluv

Share this post


Link to post
Share on other sites

Hey solus I have a small request.

Could you make a version of the slx_gl3_giveradios pbo which doesn't rely on slx_gl3?

I ask this because I'm currently using GL4, but having tried slx_gl3, the game just looks visually incomplete without dem antennas.

Great mod btw; I find myself using almost everything.

Share this post


Link to post
Share on other sites

I don' have any problem at all by playing with the latest SLX MOD + ACE [The 3 packs (@ACE_X;@ACE;@ACE_SM)] + Mando Missiles + JTD Fire + ShackTak HUD System

Everything is working like a charm and I would like to say that with all these mods combined, the immersion feeling is damn impressive.

Thanks to SLX, the AI is way smarter and the firefights last very long, thanks to ACE, you get the right ballistics and right gear, thanks to JTD, you get the real effects, thanks to Mando you have an awesome HUD and MFD system, thanks to Shacktack you get a nice "Team Radar".

The experience is definitely way better, I'm truthfully impressed by how these MODs make you feel.

And I would like to highlight the fact that SLX doesn't get enough of credits. This MOD is a must and is getting better and better every time.

Thank you Solus and everyone involved.

Best Regards,

TB

Share this post


Link to post
Share on other sites

well said thunderbird.

I will never play arma 2 again without slx mod, it is one of the first mods I install when I reinstall the game.

Share this post


Link to post
Share on other sites

Here's the next version:

https://download.yousendit.com/K0JSd0VBMm1UME5jR0E9PQ

Mirrors appreciated!

Changes:

1.9998:

Limited GL3 radio check/info share instances and removed allowfleeing set. AIs should ambush more correctly, send radio updates faster at the right time, and run smoother.

AI change tire only when just one is damaged.

Tweaked AI steering more for better convoys.

Made groups in stealth not go in buildings at start.

Fixed auto AI weapon pickup after wounding/capture.

People standing on buildings should stay put for ambushes.

GL3 stealth groups will go to combat when everyone has been spotted.

Objects with fuel cargo will explode when burned.

Made people that recover from being critically injured still look injured.

Added tank recoil when firing cannon with tracer rounds.

Fixed rare pickup weapon error.

Fixed tank shell damage.

Increased AT launcher use probability.

Removed ArmA2 island dependency for OA only use.

Added optional ArmA2 only backwards compatability addon.

Added turn in for M1A2 TUSK loader.

There are some issues with the M1A2 loader that will be fixed in the next version, optics and turn out when firing.

Devil Dogs SF: Setting them to safe while guarding should keep them in position, and now stealth mode should too.

Firewall: It should work now with the A2 back compatability addon so you won't get the missing OA addons thing. You should be able to use the previous CBA version for ArmA2 to solve the version check thing, the latest one seems to be for OA.

The second person helping drag someone is told to suppress while the other is dragging but it's hard to make sure they actually shoot.

The A2 tank damage system has been changed again and it's even stranger to get working. I'm not going to work on tank armor much anymore. Maybe you could ask around and see if someone else wants to make a scripted handledamage vehicle damage system.

In GL3 there's no range limit for radio calls for backup, and people/vehicles without radios can only call a very limited distance. The nearest group that will help match the enemy will be called, so maybe someone else was being called to help. The person/vehicle with the radio also has to live long enough to make the call.

H.U.N.K: I installed OA over my A2 install and deleting the 3GB of extra/stripped OA addons in the A2\common\ folder seems to work too (test just renaming the folder first). If you have a separate install try the folder linking thing in the main forum for combining them.

froggyluv: I noticed that earlier, thanks for mentioning it! I just made a change so that they should think about using RPGs 90% of the time now, and they seem to use them more reliably against vehicles, but I haven't tested them against infantry only to see if they waste too many RPGs.

guiltymanjohn: I'll do that for the next version.

Thunderbird: Great! Thanks!

Share this post


Link to post
Share on other sites
found a problem..
I know I'm human. And if you were all these things' date=' then you'd just attack me right now, so some of you are still human.[/quote']

*Shudders.*

Share this post


Link to post
Share on other sites

Just wanted to ask, how is the improvement on AI driving with the steering mod?

Share this post


Link to post
Share on other sites

Added turn in for M1A2 TUSK loader.

what file is it ?

Share this post


Link to post
Share on other sites

Guys here is a problem : "addon slx_cartiges" requires "CAWeapons_E"

Slx v1.9998 works not.

Using with ACE2 and GL4 together. ArmA 2 v1.7

Share this post


Link to post
Share on other sites
Guys here is a problem : "addon slx_cartiges" requires "CAWeapons_E"

Slx v1.9998 works not.

Using with ACE2 and GL4 together. ArmA 2 v1.7

I don't have that error any more, did you use the slx_a2_backcompatability.pbo's from the options folder?

Share this post


Link to post
Share on other sites
Guys here is a problem : "addon slx_cartiges" requires "CAWeapons_E"

Slx v1.9998 works not.

Using with ACE2 and GL4 together. ArmA 2 v1.7

CAWeapons_E is an Operation Arrowhead file.

Share this post


Link to post
Share on other sites
I don't have that error any more, did you use the slx_a2_backcompatability.pbo's from the options folder?

No, i did not use that. Should i use it ? Is it fixing the error ?

Thanx.

---------- Post added at 10:41 PM ---------- Previous post was at 10:38 PM ----------

CAWeapons_E is an Operation Arrowhead file.

Strange. i dont have OA on my pc. And never had...

Share this post


Link to post
Share on other sites
No, i did not use that. Should i use it ? Is it fixing the error ?

Thanx.

---------- Post added at 10:41 PM ---------- Previous post was at 10:38 PM ----------

Strange. i dont have OA on my pc. And never had...

I'd say try it. I don't have OA installed and I had that error before using those PBO's. I think they're what fixed it, Solus can confirm though.

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.
Sign in to follow this  

×